EM Cloud Control 12.1.0.4 (or newer) OMS Repository certified with Oracle Database 12.1.0.2 plus patches

The certification for Oracle Database 12.1.0.2 as Repository Database underneath of Oracle Enterprise Manager Cloud Control 12.1.0.4 (OMS) had been revoked for a while. One reason may have been the potential removal of the SYSMAN user during a DBUA upgrade ๐Ÿ˜‰ But this is just a rumor. I don’t know the exact reasons.

After checking with the certification matrix earlier today I realized:

Cloud Control Repository Database Certification Oracle 12.1.0.2

Oracle Database 12.1.0.2 is certified as a repository database for Cloud Control resp. OMS.

But … with a few important restrictions (see MOS Note:1987905.112c Database has been Certified as a 12cR4 Repository with Certain Patchset Restrictions):

  • Database PSU April 2015 (12.1.0.2.3)OR:
  • Database PSU October 2014 (12.1.0.2.1) or newer
  • Database Patch 20243268 on top of the PSU
    • Bug20243268:
      EM QUERY WITH SQL_ID 4RQ83FNXTF39U PERFORMS POORLY ON ORACLE 12C RELATIVE TO 11G

Please be aware that the above mentioned MOS Note has a typo – it refers to PSU 12.1.0.2.3 (correct) as the Oct PSU (incorrect – it’s the April 2015 one).ย 

–Mike

PS: Thanks for the anonymous comment … I wasn’t aware of the MOS Note and updated the patch requirements

9 thoughts on “EM Cloud Control 12.1.0.4 (or newer) OMS Repository certified with Oracle Database 12.1.0.2 plus patches

  1. Mos Note 1987905.1 (March 10, 2015)
    The 12.1.0.2 Oracle Database has been certified with Enterprise Manager Base Platform (as a Repository) with the following restrictions:

    1. You must apply Database <Patch 20243268>

    2. You must apply the Database 12.1.0.2.1 patchset (OCT PSU) or later.

  2. Hi,

    thanks for this remark. I did check the bug and the patch download. Patch is available since last Sunday on HPUX as well. And from the bug I can see that AIX requests for 12.1.0.2.1 and 12.1.0.2.2 are filed as well. If you need it for another platform there’s a very straight forward standard process:
    (1) Open an SR
    (2) Ask for the patch on top of the exact PSU or BP on your platform.

    Thanks ๐Ÿ™‚
    Mike

  3. The MOS note was updated on May 21, 2015 and the patch 20243268 is no longer required if you have a recent PSU:

    The 12.1.0.2 Oracle Database has been certified with Enterprise Manager Base Platform (as a Repository) with the following restrictions:

    1. You must apply the Database <Patch 20243268> if you cannot apply the Database 12.1.0.2.3 patchset (OCT PSU) or later.

    2. You must apply the Database 12.1.0.2.1 patchset (OCT PSU) or later.

  4. Thanks Felipe – but there’s a significant typo in the MOS Note. It refers to PSU 12.1.0.2.3 as the Oct PSU – this is incorrect as the Oct PSU is 12.1.0.2.1 whereas the April 2015 PSU is 12.1.0.2.3.

    Thanks for pointing me to this change – I updated the blog post.

    Cheers
    Mike

  5. MOS Note below has been updated on 28-Aug-2015 and Enterprise Manager 12.1.0.4 -12.1.0.5 are now certified with

    -Database PSUJUL2015 (12.1.0.2.4) Patch 20831110 has been applied and Database Patch 20243268 has been applied (currently available for Linux).
    -Database PSUAPR2015 (12.1.0.2.3) Patch 20299023 has been applied and Database Patch 20243268 has been applied.
    -Database PSUJAN2015 (12.1.0.2.2) Patch 19769480 has been applied and Database Patch 20243268 has been applied.
    -Database PSUOCT2014 (12.1.0.2.1) Patch 19303936 has been applied and Database Patch 20243268 has been applied.

    MOS Note: 12c Database has been Certified as an EM 12.1.0.4 or 12.1.0.5 Repository with Certain Patchset and PSU Restrictions (Doc ID 1987905.1)

    Cheers Pramod

  6. Mike just upgraded from CC12r3 to CC12r5. What documentation do I use to upgrade the 11.2.0.3 repository database to 12? Is there a different guide for OEM Repository Database?

Leave a Reply

Your email address will not be published. Required fields are marked *